Create a key to copy examples filled with your team.

Inbound messages

Alive messages for one inbox.

Alive inbound messages for one inbox, newest first, capped at 200. Show includes the raw MIME and attachment content_base64.

GET /api/v1/inboxes/:inbox_id/inbound_messages

List alive messages for a live inbox.

  • inbox_id: Inbox id
request.sh
1 curl -sS -X GET \
2 -H 'Authorization: Bearer YOUR_API_KEY' \
3 https://postshiba.com/api/v1/inboxes/:inbox_id/inbound_messages
response.json
1 [
2 {
3 "id": 21,
4 "inbox_id": 3,
5 "to": "inbabc123@inbound.capsule.test",
6 "from": "sender@example.com",
7 "subject": "Hello",
8 "text": "Hi",
9 "html": "<p>Hi</p>",
10 "headers": {},
11 "envelope": {},
12 "attachments": [
13 {
14 "filename": "note.txt",
15 "content_type": "text/plain",
16 "size": 5
17 }
18 ],
19 "expires_at": "2026-08-30T00:00:00Z",
20 "drain_status": "stored"
21 }
22 ]

GET /api/v1/inboxes/:inbox_id/inbound_messages/:id

Get one alive message, including raw MIME and attachment content_base64.

  • inbox_id: Inbox id
  • id: Message id
request.sh
1 curl -sS -X GET \
2 -H 'Authorization: Bearer YOUR_API_KEY' \
3 https://postshiba.com/api/v1/inboxes/:inbox_id/inbound_messages/:inbound_message_id
response.json
1 {
2 "id": 21,
3 "inbox_id": 3,
4 "to": "inbabc123@inbound.capsule.test",
5 "from": "sender@example.com",
6 "subject": "Hello",
7 "text": "Hi",
8 "html": "<p>Hi</p>",
9 "headers": {},
10 "envelope": {},
11 "attachments": [
12 {
13 "filename": "note.txt",
14 "content_type": "text/plain",
15 "size": 5,
16 "content_base64": "aGVsbG8="
17 }
18 ],
19 "expires_at": "2026-08-30T00:00:00Z",
20 "drain_status": "stored",
21 "raw": "From: sender@example.com\n"
22 }

About

PostShiba is the transactional email platform that powers Bento behind the scenes. You can build your own products, like Bento, on top of it.

© 2026 PostShiba by Backpack Internet Pty. Ltd. All rights reserved.

The same policies that govern Bento are applied to PostShiba Privacy | Terms | Security